LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
ConnectorProperties Service Referencepublished

This is a set of properties to describe the style for rendering connector. More...

`import"ConnectorProperties.idl";`

Inheritance diagram for ConnectorProperties:

## Public Attributes
com::sun::star::drawing::ConnectorType | EdgeKind
| This property contains the kind of the connector. More...
long | EdgeNode1HorzDist
| This property contains the horizontal distance of node 1. More...
long | EdgeNode1VertDist
| This property contains the vertical distance of node 1. More...
long | EdgeNode2HorzDist
| This property contains the horizontal distance of node 2. More...
long | EdgeNode2VertDist
| This property contains the vertical distance of node 2. More...

## Detailed Description

This is a set of properties to describe the style for rendering connector.

## Member Data Documentation

com::sun::star::drawing::ConnectorType EdgeKind
| property

This property contains the kind of the connector.

long EdgeNode1HorzDist
| property

This property contains the horizontal distance of node 1.

long EdgeNode1VertDist
| property

This property contains the vertical distance of node 1.

long EdgeNode2HorzDist
| property

This property contains the horizontal distance of node 2.

long EdgeNode2VertDist
| property

This property contains the vertical distance of node 2.

The documentation for this service was generated from the following file:

- com/sun/star/drawing/ConnectorProperties.idl